import QtQuick 1.1
import com.nokia.meego 1.0
import QtMultimediaKit 1.1
import QtMobility.feedback 1.1
Page {
    tools: commonTools

    property int retrys
    property int whatx
    orientationLock: PageOrientation.LockPortrait

    HapticsEffect {
        id: vib
        attackIntensity: 0.0
        attackTime: 250
        intensity: 1.0
        duration: 100
        fadeTime: 250
        fadeIntensity: 0.0
    }



    Audio {
        id: playMusic
        onStarted: {
            /* because QML is broken */
        //    labelStatus.text="Please wait..."
        }
        onStopped:{
            //curSelButton.checked=false;
            if (channel!="" && retrys==100)
            {
                labelStatus.text="retry "+retrys+" times, gave up :-("
            }
            else if (channel!="") {
                labelStatus.text="retry in 2 seconds"
                retrys++
                timer.start()
            }
            else {
                /* user actually stoped player so we reset retry */
                retrys=0;
                labelStatus.text=""
            }
        }
        onError: labelStatus.text="internet connection problem!"

        onStatusChanged: {
            if (playMusic.status==Audio.Buffered)
            {
                labelStatus.text="<u>Listen to:</u></center><center><b>"+channel+"</b>"
            }
        }

    }


    Timer
    {
        id: timer
        interval: 1000; running: false; repeat: false
        onTriggered:{
            playMusic.play()
        }
    }


    function f(err, str)
    {
       /* sometimes radio disconnect here we try again
            this is a bit quick&dirty we need to check better
            what type of connection etc... */
/*        if (err==NetworkError){
            playMusic.play();
        }
        */


    }

    function play(ch, url, b)
    {
        /* user actually changed channel using button, so retrys will reset */
        vib.start()
        retrys=0
        channel=""
        playMusic.stop()
        labelStatus.text="Connecting Application server...please wait..."
        playMusic.source=url
        channel=ch
        playMusic.play()
        curSelButton=b
    }

//    Rectangle{
    //      anchors.fill: parent
      //  opacity: 0.0
        //        color: "black"
/*
        gradient: Gradient {
              GradientStop { position: 0.0; color: "#FFFFFF" }
              GradientStop { position: 1.0; color: "#FFFFFF" }
          }
*/

        Splash{
            id: splash
            anchors.centerIn: parent
            visible: platformWindow.viewMode==WindowState.Thumbnail ? true : false
        }

        Column {
            spacing: 0
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            anchors.left: parent.left
            anchors.right: parent.right
            Image{
                source: "/opt/skyradio/images/s.png"
                height: 0
                width: 0
                fillMode: Image.PreserveAspectFit
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                MouseArea{
                    anchors.fill: parent
                    onClicked: openFile("AboutPage.qml");
                }

            }
//            anchors.centerIn: parent
            Rectangle{
                gradient: Gradient {
                      GradientStop { position: 0.0; color: "#FFFFFF" }
                      GradientStop { position: 1.0; color: "#FFFFFF" }
                  }
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                height: 0
                width: parent.width-64
            }

            Label {
                id: labelStatus
                color: "cyan"
                horizontalAlignment: Text.AlignHCenter
                height: 80
                width: parent.width
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
            }

            Button{
                anchors {
                    horizontalCenter: parent.horizontalCenter

                }
                text: qsTr("Stop")
                onClicked:
                {
                    channel=""
                    vib.start()
                    playMusic.stop()
                }
            }
            Rectangle{
                gradient: Gradient {
                      GradientStop { position: 20.0; color: "#FFFFFF" }
                      GradientStop { position: 20.0; color: "#FFFFFF" }
                  }
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                height: 0
                width: parent.width-100
            }

            Item{
                /* dumy item */
                height: 9
                width: parent.width
            }
            Button{
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
        //        checkable: true
                text: qsTr("Radio Farda")
                onClicked:     play(text, "http://rfe-channel-21.akacast.akamaistream.net/7/989/229671/v1/ibb.akacast.akamaistream.net/rfe_channel_21.mp3", this)
            }
            Button{
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
      //          checkable: true
                text: qsTr("Persian Dance Radio")
                onClicked:     play(text, "http://streaming.shoutcast.com/IranianRadioDance", this)
            }
            Button{
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
    //            checkable: true
                text: qsTr("Persian POP Radio")
                onClicked:     play(text, "http://streaming.shoutcast.com/IranianRadioPop", this)
            }
            Button{
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
  //              checkable: true
                text: qsTr("Persian Sonati Radio")
                onClicked:     play(text, "http://streaming.shoutcast.com/IranianRadioTraditionalSonati", this)
            }
            Button{
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
//                checkable: true
                text: qsTr("Radio Mahoor")
                onClicked:     play(text, "http://38.99.146.102:8000/shaer.mp3", this)
            }
            Rectangle{
                height: 15
                width: parent.width
                opacity: 0.000
            }
            /*
            Rectangle {
                width: parent.width
                height: 100
                MouseArea {
                    anchors.fill: parent
                    onPressed:
                    {
                        parent.whatx=mouse.x+100
                        console.log("hello\n");
                    }

                    onReleased:
                    {
                        console.log("hello\n");
                      // if (mouse.x>parent.whatx)
                             pageStack.pop()
                    }
                }
             }
             */
        //}

    }

}          